Bug 179427 - Review of JavadocAndSourceRootDetection.findSourceRoots
Review of JavadocAndSourceRootDetection.findSourceRoots
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Project
6.x
PC Mac OS X
: P3 (vote)
: 6.x
Assigned To: Tomas Zezula
issues@java
: API_REVIEW_FAST
Depends on:
Blocks: 177163
  Show dependency treegraph
 
Reported: 2010-01-12 09:29 UTC by Tomas Zezula
Modified: 2010-01-15 07:44 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
patch (15.38 KB, patch)
2010-01-12 09:37 UTC, Tomas Zezula
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2010-01-12 09:29:16 UTC
Find JavadocAndSourceRootDetection.findSourceRoots which finds java source roots under given folder.
Needed to solve issue #177163
API Change: Addition, the API should be stable in the 6.9.
Comment 1 Tomas Zezula 2010-01-12 09:37:27 UTC
Created attachment 93230 [details]
patch
Comment 2 Jesse Glick 2010-01-12 09:51:49 UTC
[JG01] Typos in Javadoc: "immediatelly", "alredy"


[JG02] I would expect the return value to be Set<FileObject>; you do not want duplicates.


[JG03] Test can use TestFileUtils to be more concise.


[JG04] Test can use assertEquals(collection1.toString(), collection2.toString()) to make differences easier to spot, rather than the custom assertEquals overload. But probably better to just compare the raw collections and let JUnit display the result how it wants. (It is unpleasant to be informed from a Hudson builder that 3 elements were expected and 4 were found, but not to see what the fourth was.)
Comment 3 Tomas Zezula 2010-01-12 10:11:16 UTC
Thanks Jesse.
JG01: Fixed.
JG02: Agree, fixed.
JG04: Fixed.
Comment 4 Tomas Zezula 2010-01-14 05:34:40 UTC
I will integrate it tomorrow.
Comment 5 Tomas Zezula 2010-01-15 07:44:50 UTC
fixed in jet-main: bbd0ba61323d


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo